summarylogtreecommitdiffstats
path: root/th08.sh
diff options
context:
space:
mode:
Diffstat (limited to 'th08.sh')
-rw-r--r--th08.sh26
1 files changed, 13 insertions, 13 deletions
diff --git a/th08.sh b/th08.sh
index 4fe6c5b4d30d..a3d909ed4cb1 100644
--- a/th08.sh
+++ b/th08.sh
@@ -1,22 +1,22 @@
#!/bin/bash
export WINEPREFIX="$HOME/.th08/wine"
-export WINEDLLOVERRIDES="mshtml="
+export WINEDLLOVERRIDES="mscoree=;mshtml="
if [ ! -d "$HOME"/.th08 ] ; then
- mkdir -p "$HOME"/.th08/wine || exit 1
- ln -s /usr/share/th08/th08.exe "$HOME"/.th08/th08.exe || exit 1
- ln -s /usr/share/th08/custom.exe "$HOME"/.th08/custom.exe || exit 1
- ln -s /usr/share/th08/th08tr.dat "$HOME"/.th08/th08tr.dat || exit 1
+ mkdir -p "$HOME"/.th08/wine || exit 1
+ ln -s /usr/share/th08/th08.exe "$HOME"/.th08/th08.exe || exit 1
+ ln -s /usr/share/th08/custom.exe "$HOME"/.th08/custom.exe || exit 1
+ ln -s /usr/share/th08/th08tr.dat "$HOME"/.th08/th08tr.dat || exit 1
fi
if [ ! -f "$HOME"/.th08/th08.cfg ] ; then
- echo "AAABAAIABAD//////////wMAAAABAAgAWAJYAgIDAAIBAQAAAgAAZFAAAAAAAAAAAAAAAAAAAAABCAAA"|base64 -d >~/.th08/th08.cfg
+ echo "AAABAAIABAD//////////wMAAAABAAgAWAJYAgIDAAIBAQAAAgAAZFAAAAAAAAAAAAAAAAAAAAABCAAA"|base64 -d >~/.th08/th08.cfg
fi
if [ "" != "`whereis timidity|grep '/usr/bin'`" ] ; then
- if [ "" == "`ps -A|grep timidity`" ] ; then
- timidity -iA &
- myins="true"
- fi
+ if [ "" == "`ps -A|grep timidity`" ] ; then
+ timidity -iA &
+ myins="true"
+ fi
fi
# this sed is to make sure directinput is always activaded.
# the controls can be a bit unresponsive without it
@@ -26,12 +26,12 @@ rm ~/.th08/th08.cfg.bak
cd ~/.th08
if [ -e "$HOME"/.th08/th08e.exe ]; then
- wine "$HOME"/.th08/th08e.exe "$@"
+ wine "$HOME"/.th08/th08e.exe "$@"
fi
if [ ! -e "$HOME"/.th08/th08e.exe ]; then
- wine "$HOME"/.th08/th08.exe "$@"
+ wine "$HOME"/.th08/th08.exe "$@"
fi
if [ "true" == "$myins" ] ; then
- killall timidity
+ killall timidity
fi